Subject: Re: Comments on draft-ietf-dnsext-zone-status-02

From: [email-masked] (Ted Lindgreen)
Date: Sat, 22 Jul 2000 12:01:31 +0200

[Quoting Edward Lewis, on Jul 22,  4:36, in "Re: Comments on draf ..."]
> At 8:44 AM -0400 7/20/00, Ted Lindgreen wrote:
> >> My Draft is double >'d
> ...
> >> A delegating zone is required to indicate whether a child zone is
> >> secured.  The reason for this requirement lies in the way in which a
> >
> >No. Only when the child zone is clueless, the delegating zone needs
> >to indicate that the the child zone is unsecured. Otherwise, it is
> >up to the child zone zone to indicate whether it is secure or unsecure.
> 
> I answered this in a message to Roy.  "Stating" by being silent is still
> stating.  It's like an appellate court refusing to hear an appeal of a
> lower court case - the appellate court is "saying" that the lower court
> verdict stands.

OK, I now see our misunderstanding, it's a language problem.

What you mean to say with:
  "A delegating zone is required to indicate whether a child zone
  is secured."
is:
  "For a child zone to be secured, the parent zone must also be
  secured, not hold a NULL-KEY, etc.
or in other words:
  "If the parent zone is unsecured, etc., the child is unsecured".
So, it is a necessary (but not sufficient) condition.

Yes, for on-tree validation, we agree completely.

However, the way I interpreted the same sentence:
  "A delegating zone is required to indicate whether a child zone
  is secured."
was (probably because English is not my native language):
  "The state of the child (secured or unsecured) is indicated
  in the delegating zone".

And this latter interpretation is, of course, not true, as the
delegating zone only tells us to check for a valid KEY in the apex
of the childs zone (and it is this KEY, which is for secured zones
always in the childs zone file, which indicates the status).

To avoid mis-interpretation by other non-native English speakers,
I suggest to refraise the sentence, for instance into something
like:

 "A delegating zone is required to indicate whether the apex of
 the childs zone contains a signed KEY RR."

Regards,
-- Ted.

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.